#include <bits/stdc++.h>

using namespace std;

ifstream fi ("dqps.inp");
ofstream fo ("dqps.out");

long long P(long long n){
  if (n==1){return 1;}
  else{
    return n*P(n-2);
  }
}

long long S(long long n){
  if (n==1){return 1;}
  else{
    return n+S(n-2);
  }
}


int main(){
  long long n;
  fi>>n;
  fo<<P(2*n-1)<<endl<<S(2*n-1);
}
